# $Revision: 1.17 $, $Date: 2008/07/05 18:32:54 $
Summary:	A digital camera image meta-data (Exif) parser
Summary(pl.UTF-8):	Analizator metadanych (Exif) obrazów z aparatów cyfrowych
Name:		exiftags
Version:	1.01
Release:	1
License:	BSD
Group:		Applications/Multimedia
Source0:	http://johnst.org/sw/exiftags/%{name}-%{version}.tar.gz
# Source0-md5:	9d5bce968fdde2dc24ba49c0024dc0cc
Patch0:		%{name}-Makefile.patch
URL:		http://johnst.org/sw/exiftags/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
exiftags parses a JPEG file looking for Exif (Exchangeable Image File)
data, formatting and printing image properties. Digital cameras
typically add Exif data to the image files they produce containing
information about the camera and digitized image. exiftags includes
support for some camera manufacturer-specific properties.

An included companion utility, exifcom, displays and writes the
UserComment Exif tag that some cameras include in the image metadata
they create. This program is useful for recording caption or location
information in the image file itself.

%description -l pl.UTF-8
exiftags analizuje plik JPEG poszukując danych Exif (Exchangeable
Image File), formatując i wypisując własności obrazu. Aparaty cyfrowe
zwykle dodają do produkowanych przez siebie plików graficznych dane
Exif, zawierające informacje o aparacie i obrazie cyfrowym. exiftags
obsługuje niektóre własności specyficzne dla poszczególnych
producentów aparatów.

Dołączone narzędzie towarzyszące, exifcom, wyświetla i zapisuje
znacznik Exif UserComment, dołączany przez niektóre aparaty. Ten
program jest przydatny do zapisywania podpisów lub informacji 
o miejscu w samym obrazku.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT

install -D exiftags $RPM_BUILD_ROOT%{_bindir}/exiftags
install -D exifcom $RPM_BUILD_ROOT%{_bindir}/exifcom
install -D exiftime $RPM_BUILD_ROOT%{_bindir}/exiftime
install -D exiftags.1 $RPM_BUILD_ROOT%{_mandir}/man1/exiftags.1
install -D exifcom.1 $RPM_BUILD_ROOT%{_mandir}/man1/exifcom.1
install -D exiftime.1 $RPM_BUILD_ROOT%{_mandir}/man1/exiftime.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: exiftags.spec,v $
Revision 1.17  2008/07/05 18:32:54  megabajt
- added -Makefile.patch
- pass properly %{rpmcflags} and %{rpmldflags}

Revision 1.16  2007/12/27 01:29:23  zbyniu
- up to 1.01

Revision 1.15  2007-02-12 21:23:55  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:48:48  baggins
- converted to UTF-8

Revision 1.13  2006/04/02 11:07:31  darekr
- pass CC

Revision 1.12  2005/04/11 16:52:56  darekr
- updated to 1.00

Revision 1.11  2004/08/31 04:51:03  snurf
- typo / formatting / etc.

Revision 1.10  2004/05/12 21:11:19  undefine
- release 2 for AC

Revision 1.9  2004/05/12 21:10:16  undefine
- update to 0.99.1

Revision 1.8  2004/05/04 18:31:11  undefine
- update to 0.99

Revision 1.7  2003/11/23 02:18:47  undefine
- release 2 to rebuild with ac

Revision 1.6  2003/08/18 18:29:26  undefine
- update to 0.98

Revision 1.5  2003/07/18 18:08:29  undefine
- update to 0.97
- STBR ra/ac

Revision 1.4  2003/05/26 16:24:57  malekith
- massive attack: adding Source-md5

Revision 1.3  2003/05/25 05:47:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/01/29 17:55:41  qboosh
- pl description

Revision 1.1  2003/01/26 23:10:26  undefine
- simple package to read and set exif data from jpg images. stbr ra-updates-general
